=== packaging/debian/changelog ===
mkvtoolnix (58.0.0-0~bunkus01) hirsute; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 13 Jun 2021 12:45:01 +0200

mkvtoolnix (57.0.0-0~bunkus01) hirsute; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 22 May 2021 12:32:27 +0200

mkvtoolnix (56.1.0-0~bunkus01) groovy; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Fri, 09 Apr 2021 18:11:48 +0200

mkvtoolnix (56.0.0-0~bunkus01) groovy; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Mon, 05 Apr 2021 12:07:25 +0200

mkvtoolnix (55.0.0-0~bunkus01) groovy; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 06 Mar 2021 12:46:46 +0100

mkvtoolnix (54.0.0-0~bunkus01) groovy; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Fri, 26 Feb 2021 19:12:20 +0100

mkvtoolnix (53.0.0-0~bunkus01) groovy; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 30 Jan 2021 16:06:44 +0100

mkvtoolnix (52.0.0-0~bunkus01) groovy; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Mon, 04 Jan 2021 22:29:12 +0100

mkvtoolnix (51.0.0-0~bunkus01) focal; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 04 Oct 2020 13:10:40 +0200

mkvtoolnix (50.0.0-0~bunkus01) focal; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 06 Sep 2020 11:40:15 +0200

mkvtoolnix (49.0.0-0~bunkus01) focal; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 02 Aug 2020 13:13:55 +0200

mkvtoolnix (48.0.0-0~bunkus01) focal; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 27 Jun 2020 18:46:02 +0200

mkvtoolnix (47.0.0-0~bunkus01) focal; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 30 May 2020 14:10:35 +0200

mkvtoolnix (46.0.0-0~bunkus01) focal; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Fri, 01 May 2020 10:35:13 +0200

mkvtoolnix (45.0.0-0~bunkus01) eoan; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 04 Apr 2020 14:29:35 +0200

mkvtoolnix (44.0.0-0~bunkus01) eoan; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 08 Mar 2020 19:01:17 +0100

mkvtoolnix (43.0.0-0~bunkus01) eoan; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 26 Jan 2020 14:45:13 +0100

mkvtoolnix (42.0.0-0~bunkus01) eoan; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Thu, 02 Jan 2020 12:52:42 +0100

mkvtoolnix (41.0.0-0~bunkus01) eoan; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Fri, 06 Dec 2019 18:27:52 +0100

mkvtoolnix (40.0.0-0~bunkus01) eoan; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 09 Nov 2019 11:19:04 +0100

mkvtoolnix (39.0.0-0~bunkus01) eoan; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Mon, 04 Nov 2019 21:52:50 +0100

mkvtoolnix (38.0.0-0~bunkus01) xenial; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 06 Oct 2019 14:09:47 +0200

mkvtoolnix (37.0.0-0~bunkus01) xenial; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 24 Aug 2019 10:01:18 +0200

mkvtoolnix (36.0.0-0~bunkus01) xenial; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 10 Aug 2019 16:17:42 +0200

mkvtoolnix (35.0.0-0~bunkus01) xenial; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 22 Jun 2019 11:05:58 +0200

mkvtoolnix (34.0.0-0~bunkus01) xenial; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 18 May 2019 13:18:51 +0200

mkvtoolnix (33.1.0-0~bunkus01) xenial; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 14 Apr 2019 23:55:34 +0200

mkvtoolnix (33.0.0-0~bunkus01) xenial; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Fri, 12 Apr 2019 15:25:41 +0200

mkvtoolnix (32.0.0-0~bunkus01) xenial; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Tue, 12 Mar 2019 21:28:50 +0100

mkvtoolnix (31.0.0-0~bunkus01) xenial; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 09 Feb 2019 11:26:12 +0100

mkvtoolnix (30.1.0-0~bunkus01) xenial; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 05 Jan 2019 16:08:45 +0100

mkvtoolnix (30.0.0-0~bunkus01) cosmic; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Fri, 04 Jan 2019 13:18:33 +0100

mkvtoolnix (29.0.0-0~bunkus01) cosmic; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 01 Dec 2018 12:13:44 +0100

mkvtoolnix (28.2.0-0~bunkus01) cosmic; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Thu, 25 Oct 2018 22:18:27 +0200

mkvtoolnix (28.1.0-0~bunkus01) cosmic; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Tue, 23 Oct 2018 20:46:02 +0200

mkvtoolnix (28.0.0-0~bunkus01) cosmic; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 20 Oct 2018 16:29:09 +0200

mkvtoolnix (27.0.0-0~bunkus01) bionic; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Wed, 26 Sep 2018 18:43:03 +0200

mkvtoolnix (26.0.0-0~bunkus01) bionic; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 26 Aug 2018 12:53:12 +0200

mkvtoolnix (25.0.0-0~bunkus01) bionic; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Thu, 12 Jul 2018 19:55:51 +0200

mkvtoolnix (24.0.0-0~bunkus01) bionic; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 10 Jun 2018 11:32:58 +0200

mkvtoolnix (23.0.0-0~bunkus01) bionic; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Wed, 02 May 2018 14:52:50 +0200

mkvtoolnix (22.0.0-0~bunkus01) artful; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 01 Apr 2018 17:24:58 +0200

mkvtoolnix (21.0.0-0~bunkus01) artful; urgency=low


